<?php

/**
 * @file
 * Exclude Node Title Administrative Interface
 */

/**
 * Admin configuration form
 */
function exclude_node_title_admin_settings() {
  $form['exclude_node_title_remove_title'] = array(
    '#type' => 'checkbox',
    '#title' => t('Remove node title from teasers too'),
    '#description' => t('Select if you wish to remove title from node teasers.'),
    '#default_value' => variable_get('exclude_node_title_remove_title', 0),
  );

  $form['exclude_node_title_search'] = array(
    '#type' => 'checkbox',
    '#title' => t('Remove node title from search pages'),
    '#description' => t('Select if you wish to remove title from search pages. You need to have Search module !url.', array('!url' => l(t('enabled'), 'admin/modules/list'))),
    '#default_value' => variable_get('exclude_node_title_search', 0),
    '#disabled' => !module_exists('search')
  );

  $form['exclude_node_title_content_type'] = array(
    '#type' => 'fieldset',
    '#title' => t('Exclude title by content-type'),
    '#description' => t('Exclude node title of nodes of the following content types.'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $node_types = node_get_types('names');
  $form['exclude_node_title_content_type']['exclude_node_title_content_type_values'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Content-types'),
    '#default_value' => variable_get('exclude_node_title_content_type_values', array()),
    '#options' => $node_types,
  );

  return system_settings_form($form);
}
